Actualizar la puerta de enlace de Internet
curl --request PATCH \
--url https://network.{region}.basaltic.sh/v1/internet-gateways/{internet_gateway_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "Internet gateway for the production VPC",
"tags": {}
}
'import requests
url = "https://network.{region}.basaltic.sh/v1/internet-gateways/{internet_gateway_id}"
payload = {
"description": "Internet gateway for the production VPC",
"tags": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({description: 'Internet gateway for the production VPC', tags: {}})
};
fetch('https://network.{region}.basaltic.sh/v1/internet-gateways/{internet_gateway_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"internet_gateway": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"crn": "crn:network:sa-saopaulo-1:my-account:internet-gateway/main",
"name": "main",
"tags": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "Internet gateway for the production VPC",
"attached_vpc_id": "5f8d3a2e-1c4b-4e7a-9f6d-2b1a8c3e5d7f"
}
}{
"error": {
"code": "INVALID_INPUT",
"message": "Invalid request parameters",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "ACCESS_DENIED",
"message": "You don't have permission to perform this action",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "An internal error occurred",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Gateways de internet
Actualizar la puerta de enlace de Internet
Actualizar descripción / etiquetas. El nombre es inmutable.
PATCH
/
v1
/
internet-gateways
/
{internet_gateway_id}
Actualizar la puerta de enlace de Internet
Requiere la acción de IAM
network:UpdateInternetGateway. Consulte permisos de redes para obtener la lista completa, lo que cubre cada una y un ejemplo de directiva.Autorizaciones
Un token bearer de OAuth 2.0, enviado como Authorization: Bearer <token>. Esta es la forma recomendada de autenticación.
Obtén el token intercambiando el par de claves de acceso de una cuenta de servicio en POST /v1/oauth/token con grant_type=client_credentials. Es el flujo estándar de credenciales de cliente; las bibliotecas compatibles con OAuth pueden obtener y renovar el token por ti.
curl -s -u "$KEY_ID:$SECRET" -d grant_type=client_credentials \
https://iam.basaltic.sh/v1/oauth/token
Los tokens duran una hora por defecto. El mismo par de claves de acceso también sirve como credencial AWS SigV4 para el endpoint de objetos compatible con S3, que solo acepta ese método de autenticación.
Parámetros de ruta
ID de la puerta de enlace de Internet
Cuerpo
application/json
Respuesta
Pasarela de Internet actualizada
Show child attributes
Show child attributes

